Loading...
Searching...
No Matches
smartlock::Keypad Interface Reference

Keypad Interface. More...

## Classes

struct | MetaData
| Keypad Metadata. More...
struct | PINEnteredEvent
| PIN entered event. More...

## Public Member Functions

MetaData | getMetaData ()
| Retrieve keypad metadata.
int | getPIN (out string pin)
| Retrieve last entered PIN from keypad.

## Public Attributes

constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_SLOT_EMPTY = 1
| no PIN present in keypad

## Detailed Description

Keypad Interface.

Definition at line 15 of file Keypad.idl.

## Member Function Documentation

## getMetaData()

MetaData smartlock::Keypad::getMetaData | ( |  | ) |

Retrieve keypad metadata.

Returns
  metadata

## getPIN()

int smartlock::Keypad::getPIN | ( | out string | pin | ) |

Retrieve last entered PIN from keypad.

PINs are cleared after 10 seconds or subsituted whenever a new PIN was entered.

Parameters

  pin | PIN

Returns
  NO_ERROR if OK
  ERR_SLOT_EMPTY if keypad sees no PIN

## Member Data Documentation

## ERR_SLOT_EMPTY

constant int smartlock::Keypad::ERR_SLOT_EMPTY = 1

no PIN present in keypad

Definition at line 19 of file Keypad.idl.

## NO_ERROR

constant int smartlock::Keypad::NO_ERROR = 0

Error codes.

operation successful, no error

Definition at line 18 of file Keypad.idl.

The documentation for this interface was generated from the following file:

- Keypad.idl